## LP20
RewriteRule ^/lichtparcours2020/?(.*)$ - [ENV=LP2020_SUBPATH:$1]

### redirects from plain path to german url
RewriteRule ^/lichtparcours2020/homepage/?$ /lichtparcours2020/ [R=302,L]
RewriteRule ^/lichtparcours2020/contact/?$ /lichtparcours2020/kontakt/ [R=302,L]
RewriteRule ^/lichtparcours2020/press/?$ /lichtparcours2020/presse/ [R=302,L]
RewriteRule ^/lichtparcours2020/sponsors/?$ /lichtparcours2020/unterstuetzer/ [R=302,L]
RewriteRule ^/lichtparcours2020/events/?$ /lichtparcours2020/veranstaltungen/ [R=302,L]
RewriteRule ^/lichtparcours2020/map/?$ /lichtparcours2020/karte/ [R=302,L]

### direct links to artworks, also via qr-code
RewriteRule ^/lichtparcours2020/01$ https://www.braunschweig.de/lichtparcours2020/karte/#TU-Braunschweig-kieloben [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/01$ https://www.braunschweig.de/lichtparcours2020/karte/#TU-Braunschweig-kieloben-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/02$ https://www.braunschweig.de/lichtparcours2020/karte/#Lindner-Steinbrenner-Ekstase [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/02$ https://www.braunschweig.de/lichtparcours2020/karte/#Lindner-Steinbrenner-Ekstase-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/03$ https://www.braunschweig.de/lichtparcours2020/karte/#Joseph_Zehrer_Neptuns_Combo [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/03$ https://www.braunschweig.de/lichtparcours2020/karte/#Joseph_Zehrer_Neptuns_Combo-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/04$ https://www.braunschweig.de/lichtparcours2020/karte/#Fort-Hellsinki [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/04$ https://www.braunschweig.de/lichtparcours2020/karte/#Fort-Hellsinki-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/05$ https://www.braunschweig.de/lichtparcours2020/karte/#Paul-Schwer-die-waerterin [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/05$ https://www.braunschweig.de/lichtparcours2020/karte/#Paul-Schwer-die-waerterin-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/06$ https://www.braunschweig.de/lichtparcours2020/karte/#Tim-Etchells-In_the_trees [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/06$ https://www.braunschweig.de/lichtparcours2020/karte/#Tim-Etchells-In_the_trees-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/07$ https://www.braunschweig.de/lichtparcours2020/karte/#nevin-aladag-Light [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/07$ https://www.braunschweig.de/lichtparcours2020/karte/#nevin-aladag-Light-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/08$ https://www.braunschweig.de/lichtparcours2020/karte/#Julian_Turner_Bar_du_Bois [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/08$ https://www.braunschweig.de/lichtparcours2020/karte/#Julian_Turner_Bar_du_Bois-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/09$ https://www.braunschweig.de/lichtparcours2020/karte/#Benjamin_Bergmann_Aqua_Alta [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/09$ https://www.braunschweig.de/lichtparcours2020/karte/#Benjamin_Bergmann_Aqua_Alta-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/10$ https://www.braunschweig.de/lichtparcours2020/karte/#Anselm_Reyle_-_She_will_o_the_wind_ [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/10$ https://www.braunschweig.de/lichtparcours2020/karte/#Anselm_Reyle_-_She_will_o_the_wind_-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/11$ https://www.braunschweig.de/lichtparcours2020/karte/#Johannes_Wohnseifer_-_No_Sleep_ [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/11$ https://www.braunschweig.de/lichtparcours2020/karte/#Johannes_Wohnseifer_-_No_Sleep_-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/12$ https://www.braunschweig.de/lichtparcours2020/karte/#Brigitte_Kowanz-Light_Steps_ [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/12$ https://www.braunschweig.de/lichtparcours2020/karte/#Brigitte_Kowanz-Light_Steps_-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/13$ https://www.braunschweig.de/lichtparcours2020/karte/#Sven-Julien_Kanclerski-stranded_drifter_ [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/13$ https://www.braunschweig.de/lichtparcours2020/karte/#Sven-Julien_Kanclerski-stranded_drifter_-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/14$ https://www.braunschweig.de/lichtparcours2020/karte/#Bjorn_Melhus-THE_BEAT_GOES_ON__ [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/14$ https://www.braunschweig.de/lichtparcours2020/karte/#Bjorn_Melhus-THE_BEAT_GOES_ON__-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/15$ https://www.braunschweig.de/lichtparcours2020/karte/#Martin_Gross-TIRED_EYES_ [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/15$ https://www.braunschweig.de/lichtparcours2020/karte/#Martin_Gross-TIRED_EYES_-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/I$ https://www.braunschweig.de/lichtparcours2020/karte/#Michael_Sailstorfer_Solarkatze [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/I$ https://www.braunschweig.de/lichtparcours2020/karte/#Michael_Sailstorfer_Solarkatze-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/II$ https://www.braunschweig.de/lichtparcours2020/karte/#yvonne-goulbier-evokation-in-rot [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/II$ https://www.braunschweig.de/lichtparcours2020/karte/#yvonne-goulbier-evokation-in-rot-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/III$ https://www.braunschweig.de/lichtparcours2020/karte/#Fabrizio_Plessi-Bogen_der_Erinnerung [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/III$ https://www.braunschweig.de/lichtparcours2020/karte/#Fabrizio_Plessi-Bogen_der_Erinnerung-audio [R=302,NE,L]
RewriteRule ^/lichtparcours2020/IV$ https://www.braunschweig.de/lichtparcours2020/karte/#Mark_Dion-Der_Elster_Flohmarkt [R=302,NE,L]
RewriteRule ^/lichtparcours2020/qr/IV$ https://www.braunschweig.de/lichtparcours2020/karte/#Mark_Dion-Der_Elster_Flohmarkt-audio [R=302,NE,L]


### overlay gatsby over cms
RewriteCond %{ENV:LP2020_SUBPATH} ^.+$
RewriteCond "/var/www/braunschweig.de/apps/lichtparcours-2020/public_live/%{ENV:LP2020_SUBPATH}" -f [OR]
RewriteCond "/var/www/braunschweig.de/apps/lichtparcours-2020/public_live/%{ENV:LP2020_SUBPATH}" -d
RewriteRule ^/lichtparcours2020/?(.*)$ /var/www/braunschweig.de/apps/lichtparcours-2020/public_live/$1 [L]

### redirect infosite preview to correct html url
#### artists
RewriteCond %{ENV:LP2020_SUBPATH} ^.+$
#RewriteCond %{HTTP_REFERER} ^https?://redaktion(-neu)?\.braunschweig\.de/ies/infosite6/\?openObjects=
RewriteRule ^/lichtparcours2020/artists/(.+)\.json$ /lichtparcours2020/karte/#$1 [NE,R,L]

#### blog posts
RewriteCond %{ENV:LP2020_SUBPATH} ^.+$
#RewriteCond %{HTTP_REFERER} ^https?://redaktion(-neu)?\.braunschweig\.de/ies/infosite6/\?openObjects=
RewriteRule ^/lichtparcours2020/blog-posts/(.+)\.json$ /lichtparcours2020/blog/#$1 [NE,R,L]

#### pages
RewriteCond %{ENV:LP2020_SUBPATH} ^.+$
#RewriteCond %{HTTP_REFERER} ^https?://redaktion(-neu)?\.braunschweig\.de/ies/infosite6/\?openObjects=
RewriteRule ^/lichtparcours2020/pages/(.+)\.json$ /lichtparcours2020/$1 [NE,R,L]

### 404
# We redirect all misses (either by the overlay above or when there is no file/dir/symlink in the publication path)
# to a small php script in the global pool in infosite that contains the following:
#
# <?php
# http_response_code(404);
# include '/var/www/braunschweig.de/apps/lichtparcours-2020/public_live/404.html';
# die;
#
# which will ensure that a proper 404 status will be send. ErrorDocument 404 xxx does not work here
# as it seems to only work in global/per-virtualhost context and not per Location/Directory.
RewriteCond %{ENV:LP2020_SUBPATH} ^.+$
RewriteCond "/var/www/braunschweig.de/www/lichtparcours2020/%{ENV:LP2020_SUBPATH}" !-f
RewriteCond "/var/www/braunschweig.de/www/lichtparcours2020/%{ENV:LP2020_SUBPATH}" !-d
RewriteCond "/var/www/braunschweig.de/www/lichtparcours2020/%{ENV:LP2020_SUBPATH}" !-l
RewriteRule ^.*$ /var/www/braunschweig.de/www/lichtparcours2020/404.php [L]
